Ask Your Question
0

openflow supported version on Lithium SR3

asked 2016-02-16 06:52:33 -0700

Rui gravatar image

updated 2016-02-16 09:24:04 -0700

Hi there,

What's the most recent OpenFlow version supported on Lithium SR3?

Is it supported natively by ODL or do I need to install a specific plugin?

I wanted to use OpenFlow 1.4 but I'm not able to connect openvswitch to ODL because I get a protocol error. If I define openvswitch to used OpenFlow 1.3 it connects immediately.

Thanks

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2016-02-16 12:39:34 -0700

saisujithreddy gravatar image

My Knowledge says Lithium SR3 supports 1.3 & 1.0 but not 1.4

edit flag offensive delete publish link more

Comments

Can you tell me where are you checking that info? I can't find it anywhere. Thanks

Rui ( 2016-02-17 06:48:25 -0700 )edit

I was going through code and found only implementation for OF10 & OF13 ... The code i was going through was -> openflowplugin project openflowplugin/openflow/md/core/sal/BuildSwitchCapabilitiesOF10 & OF13.

saisujithreddy ( 2016-02-17 15:13:00 -0700 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

[hide preview]

Question Tools

Follow
1 follower

Stats

Asked: 2016-02-16 06:52:33 -0700

Seen: 43 times

Last updated: Feb 16 '16